# class Gtk::UIManager

### Public Instance Methods

add_ui(buffer_or_filename, *args) click to toggle source

    # File lib/gtk3/ui-manager.rb, line 20
    def add_ui(buffer_or_filename, *args)
      if args.empty?
        if buffer_or_filename =~ /<ui>/
          add_ui_from_string(buffer_or_filename,
                             buffer_or_filename.length)
        else
          add_ui_from_file(buffer_or_filename)
        end
      else
        merge_id = buffer_or_filename
        path, name, action, type, top, = args
        add_ui_raw(merge_id, path, name, action, type, top)
      end
    end

Also aliased as: add_ui_raw
add_ui_raw(buffer_or_filename, *args)
Alias for: add_ui